Bug 30445 - [Huron River] mesa demo fbo_firecube and fbotexture cause system hang
[Huron River] mesa demo fbo_firecube and fbotexture cause system hang
Product: DRI
Classification: Unclassified
Component: DRM/Intel
Other Linux (All)
: highest critical
Assigned To: Wang Zhenyu
Depends on:
  Show dependency treegraph
Reported: 2010-09-28 22:47 UTC by Yi Sun
Modified: 2010-10-12 02:00 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Note You need to log in before you can comment on or make changes to this bug.
Description Yi Sun 2010-09-28 22:47:37 UTC
platform: HuronRiver
kernel:    2.6.36-rc4
Mesa:           (master)1747aa6755088398108febb121a80d9572c1533e

Libdrm:         (master)2.4.21-24-g6299722c478234a759b1ce748436197ca1a17ebf
Xserver:                (master)xorg-server-1.9.0-87-g58bd317e29f4abf7f950891339d2a6a78ddf7903
Xf86_video_intel:               (master)2.12.901-4-g40c9d180bf43af84ae05d88e993deedf76e263e6
Cairo:          (master)cb0bc64c16b3a38cbf0c622830c18ac9ea6e2ffe
Libva:          (master)6c372035373e531d2bb5608861adab3f6b2ff471

Bug detailed description:
The case fbo_firecube and fbotexture are able to cause system hang.
Comment 1 Wang Zhenyu 2010-09-28 23:10:16 UTC
Fixed fbo_firecube in mesa master. fbotexture is not driver issue.

commit 0a1910c26760762eb8d67f68dfd87494ab479e38
Author: Zhenyu Wang <zhenyuw@linux.intel.com>
Date:   Wed Sep 29 13:59:03 2010 +0800

    i965: Always set tiling for depth buffer on sandybridge
    Sandybridge only support tiling depth buffer, always set tiling bit.
    Fix 'fbo_firecube' demo.
Comment 2 Wang Zhenyu 2010-09-29 19:26:32 UTC
My patch was a hack and wrong for other chips.

This problem is fbo related, that user can alloc a render buffer which might be later attached for depth, that we should guard only tiling buffer for sandybridge depth. So need to fix fbo code for that. Leave this as open.
Comment 3 Wang Zhenyu 2010-09-29 19:58:13 UTC
Fixed in master now. Close.

commit 72b368ae69bc037681ab4e458296c07cb04349be
Author: Zhenyu Wang <zhenyuw@linux.intel.com>
Date:   Thu Sep 30 10:49:47 2010 +0800

    i965: always set tiling for fbo depth buffer on sandybridge
    Sandybridge requires depth buffer must be tiling.
    Fix 'fbo_firecube' demo.
Comment 4 Yi Sun 2010-10-10 18:11:53 UTC
It works well with latest code, so verified it.
Comment 5 Yi Sun 2010-10-12 02:00:02 UTC
I used latest X11R7 and kernel 2.6.36-rc4 case fbotexture's issue come out but if I use kernel 2.6.36-rc7, the issue doesn't come out.